Crypto-4.2.5: Collects together existing Haskell cryptographic functions into a package

Safe Haskell | Safe-Infered

Codec.Binary.BubbleBabble

Synopsis

- encode :: [Octet] -> String

# Documentation

encode :: [Octet] -> String

Encode binary data into the bubble babble human readable encoding. Bubble Babble is an encoding that represents binary data as psuedowords which are more pronouncable and memorable than standard hexadecimal encoding.

It is mainly used for representing cryptographic fingerprints. In addition, there is an amount of redundancy and error correction built into the representation so that transcription errors can be more readily identified.

see: http:en.wikipedia.orgwikiBubble_Babble